kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  annotations:
    cdi.kubevirt.io/storage.bind.immediate.requested: 'true'
    cdi.kubevirt.io/storage.contentType: kubevirt
    cdi.kubevirt.io/storage.import.lastUseTime: '2023-12-13T01:42:20.508084036Z'
    cdi.kubevirt.io/storage.pod.restarts: '0'
    cdi.kubevirt.io/storage.preallocation.requested: 'false'
    cdi.kubevirt.io/storage.usePopulator: 'true'
  resourceVersion: '120700'
  name: centos-stream8-c323729af4d6
  uid: 32120dfb-c7ae-4d07-81b7-72de3372992f
  creationTimestamp: '2023-12-13T01:39:30Z'
  managedFields:
    - manager: virt-cdi-controller
      operation: Update
      apiVersion: v1
      time: '2023-12-13T01:42:20Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:cdi.kubevirt.io/storage.bind.immediate.requested': {}
            'f:cdi.kubevirt.io/storage.contentType': {}
            'f:cdi.kubevirt.io/storage.import.lastUseTime': {}
            'f:cdi.kubevirt.io/storage.pod.restarts': {}
            'f:cdi.kubevirt.io/storage.preallocation.requested': {}
            'f:cdi.kubevirt.io/storage.usePopulator': {}
          'f:labels':
            'f:instancetype.kubevirt.io/default-instancetype': {}
            'f:app.kubernetes.io/managed-by': {}
            'f:app': {}
            .: {}
            'f:instancetype.kubevirt.io/default-preference': {}
            'f:app.kubernetes.io/part-of': {}
            'f:cdi.kubevirt.io/dataImportCron': {}
            'f:app.kubernetes.io/version': {}
            'f:app.kubernetes.io/component': {}
            'f:alerts.k8s.io/KubePersistentVolumeFillingUp': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"ec5501c7-a39d-4540-84a1-6ba8ab20b980"}': {}
        'f:spec':
          'f:accessModes': {}
          'f:dataSourceRef':
            .: {}
            'f:apiGroup': {}
            'f:kind': {}
            'f:name': {}
          'f:resources':
            'f:requests':
              .: {}
              'f:storage': {}
          'f:storageClassName': {}
          'f:volumeMode': {}
  namespace: openshift-virtualization-os-images
  ownerReferences:
    - apiVersion: cdi.kubevirt.io/v1beta1
      kind: DataVolume
      name: centos-stream8-c323729af4d6
      uid: ec5501c7-a39d-4540-84a1-6ba8ab20b980
      controller: true
      blockOwnerDeletion: true
  finalizers:
    - kubernetes.io/pvc-protection
  labels:
    cdi.kubevirt.io/dataImportCron: centos-stream8-image-cron
    app: containerized-data-importer
    app.kubernetes.io/part-of: hyperconverged-cluster
    instancetype.kubevirt.io/default-preference: centos.stream8
    app.kubernetes.io/version: 4.15.0
    app.kubernetes.io/component: storage
    alerts.k8s.io/KubePersistentVolumeFillingUp: disabled
    app.kubernetes.io/managed-by: cdi-controller
    instancetype.kubevirt.io/default-instancetype: u1.medium
spec:
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: '34087042032'
  storageClassName: hostpath-csi-basic
  volumeMode: Filesystem
  dataSource:
    apiGroup: cdi.kubevirt.io
    kind: VolumeImportSource
    name: volume-import-source-ec5501c7-a39d-4540-84a1-6ba8ab20b980
  dataSourceRef:
    apiGroup: cdi.kubevirt.io
    kind: VolumeImportSource
    name: volume-import-source-ec5501c7-a39d-4540-84a1-6ba8ab20b980
status:
  phase: Pending
